# $Cambridge: hermes/src/prayer/templates/src/Makefile,v 1.5 2010/07/08 09:37:08 dpc22 Exp $

ifeq ($(strip $(RPM_BUILD)), true)
include ../../Config-RPM
else
include ../../Config
endif

CFLAGS  = $(BASECFLAGS)
LDFLAGS = $(BASELDFLAGS)

LIB= ../../lib/lib_nossl.a

all: template_expand template_compile

template_expand: template_expand_main.o log.o empty.o $(LIB)
	$(CC) $(LDFLAGS) -o template_expand log.o empty.o template_expand_main.o $(LIB) $(BASE_LIBS)

template_compile: template_compile_main.o log.o empty.o $(LIB)
	$(CC) $(LDFLAGS) -o template_compile log.o empty.o template_compile_main.o $(LIB)  $(BASE_LIBS)

%.o: %.c Makefile
	$(CC) $(CFLAGS) -I../../lib -c $<

install:

clean:
	rm -f template_expand template_compile *.o *~ \#*\#

